Skip to main content
GET
/
webhooks
/
{webhookId}
/
dead-letters
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/webhooks/{webhookId}/dead-letters \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "webhookId": "<string>",
      "messageId": "<string>",
      "payload": {},
      "statusCode": 123,
      "responseBody": "<string>",
      "attempts": 1,
      "maxAttempts": 1,
      "nextAttemptAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "lastError": "<string>",
      "deadLetteredAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

webhookId
string
required

Webhook whose dead-lettered deliveries to list

Pattern: ^[0-9a-z]+$

Query Parameters

cursor
string

Opaque cursor from a previous response to fetch the next page

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
limit
integer
default:20

Maximum number of items to return per page (1–100, default 20)

Required range: 1 <= x <= 100
event
string

Optional exact event name filter — does not accept globs

Required string length: 1 - 100
Pattern: ^[a-z0-9*]+(\.[a-z0-9*]+)*$
from
string<date-time>

Optional ISO 8601 lower bound on deadLetteredAt

to
string<date-time>

Optional ISO 8601 upper bound on deadLetteredAt

Response

200 - application/json

OK

Paginated list of dead-lettered webhook deliveries

items
object[]
required

Dead-lettered delivery records in the current page

pagination
object
required

Cursor-based pagination metadata